summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2016-01-14 15:12:11 -0500
committerTim Harder <radhermit@gentoo.org>2016-01-14 17:10:07 -0500
commit600dbf3b5038158fe5335a50ab04288dab73866a (patch)
tree8a9df02e01e40d340b6d4b0c93a19d4179ad04a5 /net-mail/getmail
parentsys-kernel/linux-headers: arm stable, bug #571528 (diff)
downloadgentoo-600dbf3b5038158fe5335a50ab04288dab73866a.tar.gz
gentoo-600dbf3b5038158fe5335a50ab04288dab73866a.tar.bz2
gentoo-600dbf3b5038158fe5335a50ab04288dab73866a.zip
net-mail/getmail: version bump to 4.49.0
Diffstat (limited to 'net-mail/getmail')
-rw-r--r--net-mail/getmail/Manifest1
-rw-r--r--net-mail/getmail/getmail-4.49.0.ebuild25
2 files changed, 26 insertions, 0 deletions
diff --git a/net-mail/getmail/Manifest b/net-mail/getmail/Manifest
index a292cabd8f0..c4ffc8fdef5 100644
--- a/net-mail/getmail/Manifest
+++ b/net-mail/getmail/Manifest
@@ -1 +1,2 @@
DIST getmail-4.48.0.tar.gz 190129 SHA256 49441e92eed577127331caf9b97f2ddaea14e97e8a49259efd9184a766a9b94c SHA512 fb37dfb6f9edc770f7186b8c3ae67642181b1b025cccf31434814aec4d5f78f021ce73fa5493b7b82b0f2d5a70e58d389cbfc408475547d43b82a98e4645d090 WHIRLPOOL 218a5d1d1c3719dcd64f8ee8947553cbe4b391df97ab8b90a418c846189c592a887abfc05d387534efc2ec20b6b9b71656547705650979458718adb953d99c04
+DIST getmail-4.49.0.tar.gz 150719 SHA256 1c6c4a3ebd17c1b15dc940a5888b0ceca4d135c1c20629ebe274ba025aff1ed4 SHA512 5cd53aecf54dee6e7d70aa3a1dab9c1e01e681280424c03ce4360faa2653386da2e4b14e7876e8ab46fee92f62e5036ab794850ab85f66c7c26b747bf8becc34 WHIRLPOOL d1cf995505dd889ff942af10047f7773923bd934792dd699ecb071209416edfe33fcfe8d82f894046e1c9576d0cc9d0cb6099e742a2432dc5b9af8f66573e505
diff --git a/net-mail/getmail/getmail-4.49.0.ebuild b/net-mail/getmail/getmail-4.49.0.ebuild
new file mode 100644
index 00000000000..c0f8d4e4a97
--- /dev/null
+++ b/net-mail/getmail/getmail-4.49.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="ssl?"
+
+inherit distutils-r1
+
+DESCRIPTION="A POP3 mail retriever with reliable Maildir and mbox delivery"
+HOMEPAGE="http://pyropus.ca/software/getmail/"
+SRC_URI="http://pyropus.ca/software/getmail/old-versions/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="4"
+KEYWORDS="~amd64 ~ppc ~x86 ~ppc-macos ~x86-macos ~x64-solaris"
+IUSE="ssl"
+
+python_prepare_all() {
+ sed -i -e "s,'getmail-%s' % __version__,'${PF}'," \
+ -e "/docs\/COPYING/d" "${S}"/setup.py || die
+
+ distutils-r1_python_prepare_all
+}